# README #

This README would normally document whatever steps are necessary to get your application up and running.

### Для чего этот репозиторий ###

* Этот репозиторий содержит материалы моей разработки программы для радиопередающего модуля предназначенного для модернизации автономного пожарного извещателя
* Версия прошивки 1.01
* [Материалы репозитория](https://bitbucket.org/AlexAW/Radiosensors)

### Что можно сделать с проектом? ###

* Проект содержит модель радиопередающего модуля в PROTEUS которая позволяет симулировать работу модулятора, посмотреть передаваемые сигнал модуляции виртуальным осцилографом
  Посматривать и отлаживать работу программы в реальном времени.

### Сведения об изменениях ###

23.03.2018
		Написан и отлажен модуль управления режимами работы устройства
	Адаптирован модуль передачи сигнала модуляции радиомодуля под задачи текущей разработки.
	
Краткое описание работы.
	В программе реализуется идея по контролю сигнала идущего на звуковой пьезоэлемент автономного пожарного извещателя формировать сигналы управления радиопередатчиком и сигналы модуляции радиосигнала, для передачи информации радиомодулю центральной системы управления домашней автоматизацией. 
	Алгоритм работы извещателя следующий:
		1. При снижении напряжения питания автономной батареи до уровня близкого к критическому извещатель формирует короткие (50-100 мс.) звуковые сигналы с периодичностью приблизительно 1 мин.
		2. При обнаружении задымления в помещении извещатель формирует непрерывный звуковой сигнал.
	Соответственно программа передатчика формирует два варианта модулирующих кодовых посылок:
		1. Пятнадцать пакетов двадцатичетырех битных команд записанных в первых трех ячейках EEPROM микроконтроллера, при обнаружении короткого звукового сигнала.
		2. Пятнадцать пакетов двадцатичетырех битных команд с кодом на единицу больше чем записано в EEPROM, передаются с периодичностью 1 сек. все время пока на входе присутствует непрерывный звуковой сигнал.
		
		
02.04.2018	
	немного изменил исходник для использования PIC12F675. Эта прошивка будет более универсальна и будет подходить для двух типов МК PIC12F629 PIC12F675
	### С кем связаться? ###

* Александр Вайдуров alex_aw@mail.ru
* Other community or team contact